# Multi-Builder

Multi-Builder is a PS Vita LiveArea bubble creation and editing tool for Windows 10/11.

Bubbles available:
- Retroarch
- DaedalusX64
- FAKE08
- ScummVM
- YoYo Loader Vita
- Homebrew
- Adrenaline Bubble Booter or Adrenaline Bubble Manager

Multi-Builder combines RetroBuilder, FAKE08-Builder, ScummVM-Builder, Bubble-Builder, and YoYo-Builder.

Simply follow these steps:
1) Download the required images/files (Supported formats: jpg, jpeg, bmp, png, jfif, tiff, apk, and cfg)
2) Place them into the Input folder
3) Name as: bg, icon0, and startup (pic0 for Bubble-Builder only; apk file be left as is for YoYo-Builder)
4) Launch the Builder of choice from the Menu
5) Select Simple VPK
6) Name and add Title ID to the game of your choice
7) VPK will then generate in VPK folder
8) Transfer and install to the Vita.

#### Options:

Game Configuration - Available for YoYo-Builder.

Define Folder Path - Available for RetroBuilder, and ScummVM-Builder.

Define LiveArea Style - Available for all Builders.

Default Builder - Choose which Builder to open by default.

Rom Autopath - RetroBuilder and FAKE08-Builder roms can be placed in the Input folder, paths will generate automatically based on filename.

<p align="center">
  <img src="https://user-images.githubusercontent.com/81541725/166613480-0fdd719d-3e77-4ddb-be5c-1f7b9c60f0e9.png?raw=true" alt="Sublime's custom image"/>
</p>

<p align="center">
  <img src="https://user-images.githubusercontent.com/81541725/165885346-12315363-02f6-4783-9686-514231d737b7.png?raw=true" alt="Sublime's custom image"/>
</p>

<p align="center">
  <img src="https://user-images.githubusercontent.com/81541725/165674041-970872a2-9ef0-479d-9086-df648d977c1a.png?raw=true" alt="Sublime's custom image"/>
</p>

<p align="center">
  <img src="https://user-images.githubusercontent.com/81541725/165679344-e85249a5-b0e7-4d43-b794-fed002c511de.png?raw=true" alt="Sublime's custom image"/>
</p>

 <p align="center">
  <img src="https://user-images.githubusercontent.com/81541725/124930830-a8e90580-dfcf-11eb-980b-999fe3a546bc.png?raw=true" alt="RetroBuilder"/>
</p>



For the best results, please use the Photos App (standard Windows app) to crop images BEFORE conversion.

#### bg, startup = Widescreen - 16:9

#### icon0 = Square

# Retro-Builder

Retro-Builder allows anyone to create Retroarch and DaedalusX64 Bubbles easy.

Just place any supported ROM file and three required images into the Input folder.

![image](https://user-images.githubusercontent.com/81541725/165884846-7ac8f0f6-d3ed-42a7-9f95-1c1641658b34.png)
![image](https://user-images.githubusercontent.com/81541725/166613897-e364f51f-a47b-4242-9fa6-121aee33b852.png)

# Fake08-Builder

Fake-08-Builder is a tool for Windows 10 that creates LiveArea Bubbles for Pico-8 carts on the PS Vita.

![image](https://user-images.githubusercontent.com/81541725/165884600-4ed03681-9c80-4e60-a607-88124d793dc8.png)
![image](https://user-images.githubusercontent.com/81541725/165884642-816c9284-cb5a-4da5-96fc-2a5764ee7511.png)

# ScummVM-Builder
![image](https://user-images.githubusercontent.com/81541725/165885760-78815d7a-61c9-48a8-bad3-ac04b621a606.png)
![image](https://user-images.githubusercontent.com/81541725/165885713-fd510a95-72ad-4255-9d50-fd4861d162da.png)

# Bubble-Builder
Bubble-Builder is a total VPK re-packaging tool for Homebrew and Adrenaline Bubble Booter assets. PNGs, Title and IDs can now all be modified with ease on WIndows 10 PCs.

Simply copy the Vita App of choice from ux0:app/ folder to Input/app-folder, download the required images to Input folder, and title/ID as needed (if VPK requires additional ux0:data folder, please select Y when prompted, otherwise select N). New VPK can then be generated and installed on the Vita.

![image](https://user-images.githubusercontent.com/81541725/165886234-413fca5c-c8ea-4148-953d-1668a958fff8.png)
![image](https://user-images.githubusercontent.com/81541725/165886631-021afd50-a8f1-43a4-b9fb-2ffae488674d.png)
# YoYo-Builder
![image](https://user-images.githubusercontent.com/81541725/165887109-2a210ef8-6d7e-47fb-88e3-877b65e88541.png)
![image](https://user-images.githubusercontent.com/81541725/166613576-a5c73db3-8b2d-41b2-915d-6c9f88066833.png)

## Shoutouts:

#### ** RETROBUILDER **

SayianPrinceVegeta: Providing the inspiration for all of this and helping shape Simple VPK.

u/W00lfwang for detailing the RetroArch Bubble Booter method.

u/histefanhere for the alternate RetroArch Bubble Booter method using python.

Rinnegatamante for porting DaedalusX64 and providing a method to create those Bubbles and everything else he does.https://github.com/Rinnegatamante/yoyoloader_vita


#### ** FAKE08-BUILDER **

jtothebell: Creator of Fake-08 - https://github.com/jtothebell/fake-08

Lexaloffle Team: https://www.lexaloffle.com/pico-8.php


#### ** SCUMMVM-BUILDER **

ScummVM Team: https://github.com/scummvm/scummvm

cy33hc: For creating the Scummvm Bubble Booter - https://github.com/cy33hc/scummvm-bubble-booter


#### ** BUBBLE-BUILDER **

TheOfficialFloW - Creator of Adrenaline

leecherman - Adrenaline Bubble Booter

ONElua - Adrenaline Bubble Manager

ImageMagick - Providing Composite.exe

7Zip - Providing Zip2VPK tool


#### ** YOYO-BUILDER **

Rinnegatamante https://github.com/Rinnegatamante/yoyoloader_vita


Original Apps:

https://github.com/DRok17/RetroBuilder

https://github.com/DRok17/Fake-08-Builder

https://github.com/DRok17/ScummVM-Builder

https://github.com/DRok17/Bubble-Builder



